Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.client
Class AudioElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.MediaElement
                      com.google.gwt.dom.client.AudioElement

    @TagName(value="audio")
    public class AudioElement

extends MediaElement

Audio element.

Experimental API: This API is still under development and is subject to change.

See Also:
  W3C HTML 5 Specification

Field Summary
`static java.lang.String` | `TAG` The tag for this element.
`static java.lang.String` | `TYPE_MP3` The audio type of MP3 encoded audio.
`static java.lang.String` | `TYPE_OGG` The audio type of Ogg encoded audio.
`static java.lang.String` | `TYPE_WAV` The audio type of WAV encoded audio.

Fields inherited from class com.google.gwt.dom.client.MediaElement
`CAN_PLAY_MAYBE, CAN_PLAY_PROBABLY, CANNOT_PLAY, HAVE_CURRENT_DATA, HAVE_ENOUGH_DATA, HAVE_FUTURE_DATA, HAVE_METADATA, HAVE_NOTHING, NETWORK_EMPTY, NETWORK_IDLE, NETWORK_LOADING, NETWORK_NO_SOURCE, PRELOAD_AUTO, PRELOAD_METADATA, PRELOAD_NONE`

Fields inherited from class com.google.gwt.dom.client.Element
`DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `AudioElement()`

Method Summary

Methods inherited from class com.google.gwt.dom.client.MediaElement
`canPlayType, getBuffered, getCurrentSrc, getCurrentTime, getDefaultPlaybackRate, getDuration, getError, getInitialTime, getNetworkState, getPlaybackRate, getPlayed, getPreload, getReadyState, getSeekable, getSrc, getStartOffsetTime, getVolume, hasControls, hasEnded, isAutoplay, isLoop, isMuted, isPaused, isSeeking, load, pause, play, setAutoplay, setControls, setCurrentTime, setDefaultPlaybackRate, setLoop, setMuted, setPlaybackRate, setPreload, setSrc, setVolume`

Methods inherited from class com.google.gwt.dom.client.Element
`addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPreviousSiblingElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasClassName, hasTagName, indexOfName, is, is, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerSafeHtml, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle, toggleClassName`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeAllChildren, removeChild, removeFromParent, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TAG

    public static final java.lang.String TAG

  The tag for this element.

  See Also:
    Constant Field Values

### TYPE_MP3

    public static final java.lang.String TYPE_MP3

  The audio type of MP3 encoded audio.

  See Also:
    Constant Field Values

### TYPE_OGG

    public static final java.lang.String TYPE_OGG

  The audio type of Ogg encoded audio.

  See Also:
    Constant Field Values

### TYPE_WAV

    public static final java.lang.String TYPE_WAV

  The audio type of WAV encoded audio.

  See Also:
    Constant Field Values

Constructor Detail

### AudioElement

    protected AudioElement()

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD